% plot fourier transformation of design matrix.
% needs a design matrix XX, that 

nVols=300; %number of volumes = number of rows in design matrix
TR=2; %TR
cutOffHighPass = 128; % 1/(cutoff frequency) for high pass filter.

ff = abs(fft(XX));

periods=nVols*TR./(1:100); %only plot the first 100 entries.
freqs=1./periods;

figure;
plot(freqs,ff(2:101,:));
hold;
plot([1/cutOffHighPass 1/cutOffHighPass],[0 max(ff(2:101))],'k--');
xlabel('Frequency [Hz]');


